Page MenuHomePhabricator

TestVideoTranscode::testTranscodeJobs fails Undefined property: WebVideoTranscodeJob::$id
Open, MediumPublic

Description

The test TestVideoTranscode::testTranscodeJobs with data set #1 (array('video/webm', '/Users/amusso/projects/mediawiki/extensions/TimedMediaHandler/tests/phpunit/media/shuttle10seconds.1080x608.webm', 699018, 1080, 608, 'VIDEO', 522142, 29.97))

Fails with:

Undefined property: WebVideoTranscodeJob::$id

Example run https://integration.wikimedia.org/ci/job/mwext-TimedMediaHandler-testextensions-master/5/console


Version: master
Severity: normal

Details

Reference
bz61878

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:52 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz61878.
hashar created this task.Feb 24 2014, 9:32 PM

And:

  1. TestVideoTranscode::testTranscodeJobs with data set #0 (array('application/ogg', '/Users/amusso/projects/mediawiki/extensions/TimedMediaHandler/tests/phpunit/media/test5seconds.electricsheep.300x400.ogv', 301477, 400, 300, 'VIDEO', 452216, 30))

Failed asserting that false is true.

Change 115304 had a related patch set uploaded by Hashar:
Ignore TestVideoTranscode::testTranscodeJobs

https://gerrit.wikimedia.org/r/115304

Change 115304 merged by jenkins-bot:
Ignore TestVideoTranscode::testTranscodeJobs

https://gerrit.wikimedia.org/r/115304

All patches merged; resetting ticket status

MarkTraceur triaged this task as Medium priority.Nov 24 2014, 2:16 PM
hashar removed a subscriber: hashar.Nov 24 2014, 2:22 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:36 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:36 PM

I get this error

20:36:15 1) TestVideoThumbnail::testApiThumbnails with data set #0 (array('application/ogg', '/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/media/test5seconds.electricsheep.300x400.ogv', 301477, 400, 300, 'VIDEO', 452216, 30))
20:36:15 Failed asserting that false is true.
20:36:15
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/TestVideoThumbnail.php:39
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
20:36:15
20:36:15 2) TestVideoThumbnail::testApiThumbnails with data set #1 (array('video/webm', '/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/media/shuttle10seconds.1080x608.webm', 699018, 1080, 608, 'VIDEO', 522142, 29.97))
20:36:15 Failed asserting that false is true.
20:36:15
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/TestVideoThumbnail.php:39
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137

It seems that Undefined property: WebVideoTranscodeJob::$id was fixed.

@brion and @TheDJ can I add you since this is a broken test that is disabled but should be re enabled.

Paladox set Security to None.Oct 21 2015, 8:59 PM
Paladox removed subscribers: TheDJ, brion.

Looks like the test is still disabled (src).

TheDJ claimed this task.Jul 1 2019, 12:29 PM

I'll take a look at this, as we now no longer support on MwEmbedSupport